petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectComm

Gets the MPI communicator for any PetscObject regardless of the type.

### Synopsis

    #include "petscsys.h"
    MPI_Comm  PetscObjectComm(PetscObject obj)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, SETERRQ(PetscObjectComm((PetscObject)mat,...);

### Output Parameter

comm -the MPI communicator or MPI_COMM_NULL if object is not valid

Notes: Never use this in the form

          comm = PetscObjectComm((PetscObject)obj);

instead use PetscObjectGetComm()

### See Also

PetscObjectGetComm()

Level:advanced
Location:src/sys/objects/gcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex65.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html